import sudoku.*;
import nim.*;
public class Test{

    public static void testSudoku(){
	SudokuInterface b = new SudokuBoard(9);
	b.loadBoard("puzzle1.txt");
	new SudokuDrawing(b);
    }

    
    public static void test1(){
	SudokuInterface b1 = new ValidSudokuBoard(9);
	b1.loadBoard("puzzle0.txt");
	
	SudokuInterface b2 = new ValidSudokuBoard(9);
	b2.loadBoard("puzzle1.txt");
	new SudokuDrawing(b2);
    }


    public static void test2(){
	SudokuInterface b1 = new SudokuSolver(9);
	b1.loadBoard("puzzle0.txt");
	
	SudokuInterface b2 = new SudokuSolver(9);
	b2.loadBoard("puzzle1.txt");
	new SudokuDrawing(b2);
    }


    public static void test3(){
	SudokuInterface b = new SudokuSolver(9);
	b.loadBoard("puzzle1.txt");
	new SudokuDrawing(b);
    }

    public static void test4(){
	SudokuRegionSolver b = new SudokuRegionSolver(9,3,3);
	b.loadBoard("puzzle2.txt");
	System.out.println("The region for location (3,5) is "+b.getRegion(3,5));
	System.out.println("The region for location (8,0) is "+b.getRegion(8,0));
	System.out.println("The region for location (7,7) is "+b.getRegion(7,7));
	new SudokuDrawing(b);
    }

    public static void test5(){
	SudokuRegionSolver b = new SudokuRegionSolver(9,3,3);
	b.loadBoard("puzzle2.txt");
	new SudokuDrawing(b);
    }

    public static void testNim(){
	NimInterface n = new NimBoard(3,5);
	new NimDrawing(n);
    }
    
    public static void test6(){
	NimInterface n = new NimSolver(3,5);
	n.move(0,1);
	n.printMove(0,1);
	n.move(0,1);
	n.printMove(0,1);
	System.out.println("Projected result: "+n.bestResult()); 
	new NimDrawing(n);
   }

    public static void test7(){
	NimInterface n = new NimSolver(3,5);
	System.out.println("User's Turn:");
	System.out.println("------------");
	n.move(0,1);
	n.printMove(0,1);
	System.out.println("Computer's Turn:");
	System.out.println("----------------");
	n.bestMove();

	System.out.println("------------");
	System.out.println("New Game");
	System.out.println("------------");

	NimInterface n2 = new NimSolver(3,5);
	System.out.println("User's Turn:");
	System.out.println("------------");
	n2.move(0,2);
	n2.printMove(0,2);
	System.out.println("Computer's Turn:");
	System.out.println("----------------");
	n2.bestMove();
	new NimDrawing(n2);

    }

    public static void main(String[] args) {
	testSudoku();
    }    
}