package sudoku;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.LinkedList;

import javax.swing.BorderFactory;
import javax.swing.JComboBox;
import javax.swing.border.Border;


@SuppressWarnings("serial")
public class MoveChooser extends JComboBox implements ActionListener {
  static Border orangeBorder = BorderFactory.createLineBorder(Color.ORANGE, 10);
  SudokuDrawing parent;
  public int x, y;

  public MoveChooser(SudokuDrawing parent, int x, int y) {
    this.parent = parent;
    this.x = x;
    this.y = y;
    setBorder(orangeBorder);
  }

  public void setOptions(LinkedList<Integer> options) {
    removeActionListener(this);
    removeAllItems();
    for (Integer i : options)
      addItem(i);
    addActionListener(this);
  }

  public void actionPerformed(ActionEvent e) {
    JComboBox b = (JComboBox) e.getSource();
    int move = (Integer) b.getSelectedItem();
    if (parent == null)
      System.out.println("null parent");
    parent.makeMove(x, y, move);
    parent.lastMoves.addFirst(this);
  }

}