package sudoku;
import java.util.LinkedList;
public interface SudokuInterface {

    public void loadBoard(String file);
    public int getBoardSize();

    public boolean hasRegions();
    public int getRegionRows();
    public int getRegionColumns();
    public int getRegion(int x, int y);

    public boolean hasValue(int x, int y);
    public int getValue(int x, int y);
    public LinkedList<Integer> getAllMoves();
    public LinkedList<Integer> getMoves(int x, int y);

    public boolean isValidMove(int x, int y, int n);
    public void move(int x, int y, int n);
    public void undo(int x, int y);
    public boolean solve();
    public GameState getGameState();
    public void setGameState(GameState g);
}
