package sudoku;
import java.util.Vector;
import java.util.Set;
import java.util.HashSet;
public class SudokuSolver extends SudokuBoard {

    Vector<Set<Integer>> rowMoves;
    Vector<Set<Integer>> columnMoves;

    public SudokuSolver(int size) {
	super (size); 
	initializeSets();
    }
    public SudokuSolver(int size, int x, int y) {
	super (size,x,y); 
	initializeSets();
    }

    public void initializeSets(){
	int boardSize = getBoardSize();
	rowMoves = new Vector<Set<Integer>>(boardSize);
	columnMoves = new Vector<Set<Integer>>(boardSize);
	for (int i = 0; i < boardSize; i++) {
	    HashSet<Integer> rs = new HashSet<Integer>();
	    rs.addAll(getAllMoves());
	    rowMoves.add(rs);
	    HashSet<Integer> cs = new HashSet<Integer>();
	    cs.addAll(getAllMoves());
	    columnMoves.add(cs);
	}
    }

    // TODO: isValidMove, move, undo
    
    /*
    TODO: solve(int i, int j)

    public boolean solve(){
	boolean b = solve(0,0);
	if (b) setGameState(GameState.Winning);
	else setGameState(GameState.Losing);
	return b;
    }
    */
}